.bubble-container {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: 0;
}

.bub {
    width: 8vw;
    /* Adjust bubble size based on viewport width */
    height: 8vw;
    /* Adjust bubble size based on viewport width */
    border: 1px solid rgb(113, 159, 205);
    box-shadow: inset 5px -5px 10px rgb(172, 201, 213);
    border-radius: 50%;
    background-color: rgba(173, 201, 222, 0.01);
    backdrop-filter: blur(2px);
    position: absolute;
    bottom: -100px;
}

.bub::before {
    position: absolute;
    content: "";
    background-color: white;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    top: 25px;
    right: 23px;
    box-shadow: 0px 0px 20px white;
}

/* Define bubble positions */
.bub.a {
    left: 10%;
    animation: bubble2 4s ease-in 1s infinite;
}

.bub.b {
    left: 20%;
    animation: bubble 3s ease-in 1.4s infinite;
}

.bub.c {
    left: 28%;
    animation: bubble 10s ease-in 3.8s infinite;
}

.bub.d {
    left: 40%;
    animation: bubble 3.6s ease-in .5s infinite;
}

.bub.e {
    left: 75%;
    animation: bubble2 4.6s ease-in 2.5s infinite;
}

.bub.f {
    left: 90%;
    animation: bubble 5s ease-in 3s infinite;
}

.bub.g {
    left: 60%;
    animation: bubble 4.4s ease-in 2s infinite;
}

.bub.k {
    left: 50%;
    animation: bubble 3.2s ease-in 2s infinite;
}

.bub.i {
    left: 65%;
    animation: bubble2 3.6s ease-in 2.1s infinite;
}

.bub.j {
    left: 3%;
    animation: bubble 4s ease-in 1.5s infinite;
}

.bub.h {
    left: 35%;
    animation: bubble2 6s ease-in infinite;
}

@keyframes bubble {
    0% {
        opacity: 0;
    }

    10%,
    93% {
        opacity: 1;
    }

    100% {
        transform: translate(90px, -700px);
        display: none;
    }
}

@keyframes bubble2 {
    0% {
        opacity: 0;
    }

    10%,
    93% {
        opacity: 1;
    }

    100% {
        transform: translate(-90px, -700px);
        display: none;
    }
}

/* Media Queries for responsiveness */
@media (max-width: 768px) {
    .bub {
        width: 10vw;
        /* Adjust bubble size for smaller screens */
        height: 10vw;
        /* Adjust bubble size for smaller screens */
    }
}